package com.zd.system.api.model;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;

import java.util.Map;

/**
 * 简略用户信息
 */
@ApiModel("简略用户信息")
public class SimpleUserVO {

    /**
     * 用户姓名
     */
    @ApiModelProperty("用户姓名")
    String userName;


    /**
     * 用户职称 学生时，返回学生 ，系统用户 返回系统用户
     */
    @ApiModelProperty("用户职称|说明")
    String professional;


    /**
     * 部门名称
     */
    @ApiModelProperty("部门名称")
    String deptName;


    @ApiModelProperty("头像")
    String avatar;

    Map<String,Object> count;

    public Map<String,Object> getCount() {
        return count;
    }

    public void setCount(Map<String,Object> count) {
        this.count = count;
    }

    public String getAvatar() {
        return avatar;
    }

    public void setAvatar(String avatar) {
        this.avatar = avatar;
    }

    public String getUserName() {
        return userName;
    }

    public void setUserName(String userName) {
        this.userName = userName;
    }

    public String getProfessional() {
        return professional;
    }

    public void setProfessional(String professional) {
        this.professional = professional;
    }

    public String getDeptName() {
        return deptName;
    }

    public void setDeptName(String deptName) {
        this.deptName = deptName;
    }
}
